const state = {
    currencies: []
}

const getters = {
    getCurrencies(state) {
        return state.currencies
    },
    getRates(state) {
        return state.rates
    }
}

const mutations = {
    pushCurrencies(state, payload) {
        state.currencies = payload.currencies
    }
}

const actions = {
    fetchCurrencies({ commit }) {
        let pos = new openerp.web.Model('eiru.pos')
        pos.call('get_currencies').then(response => {
            commit('pushCurrencies', {
                currencies: response
            })
        }).fail(error => {
            console.log(error);
        })
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
